import Vue from 'vue'
import Router from 'vue-router'
import SaleTask from '@/pages/saletask'
import SaleTaskDetail from '@/pages/saletaskdetail'
import SaleTaskmxjd from '@/pages/saletaskmxjd'
import Home from '@/pages/home'
import Setting from '@/pages/setting'
import Daily from '@/pages/daily'
import Pushlist from '@/pages/pushlist'
import About from '@/pages/about'
import CsesSptTodo from '@/pages/cses_spt/todo'
import CsesSptDetail from '@/pages/cses_spt/cses_spt_detail'
import CsesSptFeedback from '@/pages/cses_spt/cses_spt_feedback'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Home',
      component: Home
    },
    {
      path: '/detail',
      name: 'SaleTaskDetail',
      component: SaleTaskDetail,
      meta: {
        title: '订单详情'
      }
    },
    {
      path: '/salemxjd',
      name: 'SaleTaskmxjd',
      component: SaleTaskmxjd,
      meta: {
        title: '订单详情'
      }
    },  
    {
      path: '/saletask',
      name: 'SaleTask',
      component: SaleTask,
      meta: {
        title: '订单列表'
      }
    },
    {
      path: '/setting',
      name: 'Setting',
      component: Setting,
      meta: {
        title: '我'
      }
    },
    {
      path: '/daily',
      name: 'Daily',
      component: Daily,
      meta: {
        title: '经营日报表'
      }
    },
    {
      path: '/pushlist',
      name: 'Pushlist',
      component: Pushlist,
      meta: {
        title: '推送资讯'
      }
    },
    {
      path: '/about',
      name: 'About',
      component: About,
      meta: {
        title: '关于'
      }
    },
    {
      path: '/csesspttodo',
      name: 'CsesSptTodo',
      component: CsesSptTodo,
      meta: {
        title: '待接收'
      }
    },
    {
      path: '/csessptdetail',
      name: 'CsesSptDetail',
      component: CsesSptDetail,
      meta: {
        title: '采购订单详情'
      }
    },
    {
      path: '/csessptfeedback',
      name: 'CsesSptFeedback',
      component: CsesSptFeedback,
      meta: {
        title: '待回复'
      }
    }
  ]
})
